<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$daytime=date("d",$sitetime);
$montime=date("d.m",$sitetime);
$yeartime=date("d.m.Y",$sitetime);

echo '<img src="../images/img/partners.gif" alt=""> <b>Онлайн пользователей</b><br><br>';


$localfile = file(BASEDIR."local/who.dat");

foreach($localfile as $value){
$who_file=explode("|",$value);

$controltime=$sitetime-trim($who_file[3]);

if($controltime < 600){
$array_users[]=trim($who_file[0]);

if (strstr($who_file[1],"/forum")){$forum_shet++;}
if (strstr($who_file[1],"/chat")){$chat_shet++;}
if (strstr($who_file[1],"/news")){$news_shet++;}
if (strstr($who_file[1],"/download")){$down_shet++;}
if (strstr($who_file[1],"/book")){$book_shet++;}
if (strstr($who_file[1],"/games")){$games_shet++;}
if (strstr($who_file[1],"/library")){$library_shet++;}
if (strstr($who_file[1],"/gallery")){$gallery_shet++;}

if ($who_file[1]=="/index.php"){$index_shet++;}
if ($who_file[1]=="invisible"){$invis_shet++;}

$online_shet++;
}}
echo 'Всего на сайте: <b>'.(int)$online_shet.'</b><br>';
echo 'Скрытых для просмотра: <b>'.(int)$invis_shet.'</b><br>';

echo '<a href="../index.php?'.SID.'">На главной:</a>  '.(int)$index_shet.'<br>';
echo '<a href="../forum/?'.SID.'">В форуме:</a> '.(int)$forum_shet.'<br>';
echo '<a href="../chat/?'.SID.'">В мини-чате:</a> '.(int)$chat_shet.'<br>';
echo '<a href="../book/?'.SID.'">В гостевой:</a> '.(int)$book_shet.'<br>';
echo '<a href="../news/?'.SID.'">В новостях:</a> '.(int)$news_shet.'<br>';
echo '<a href="../download/?'.SID.'">В загрузках:</a> '.(int)$down_shet.'<br>';
echo '<a href="../index.php?action=arkada&amp;'.SID.'">В развлечениях:</a>  '.(int)$games_shet.'<br>';
echo '<a href="../library/?'.SID.'">В библиотеке:</a> '.(int)$library_shet.'<br>';
echo '<a href="../gallery/?'.SID.'">В галерее:</a> '.(int)$gallery_shet.'<br>';



echo '<br><b>Пользователи на сайте:</b><br>';

sort($array_users);

foreach($array_users as $key=>$value){
if($value!=""){
if($key==0){
echo '<b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'">'.check(nickname($value)).'</a></b>';
}else{
echo ', <b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'">'.check(nickname($value)).'</a></b>';
}
}}

//----------------------Функция вычисляет у кого сегодня Д.Р.--------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/happyday.dat");
$filtimeday=date("d",$filtime);

if($daytime!=$filtimeday){

$dir = opendir (BASEDIR."local/profil"); 
while ($file = readdir ($dir)) {
if (ereg ("\.prof$", $file)) {
$allusers[]=$file;
}} 
closedir ($dir); 		

clear_files(BASEDIR."local/datatmp/happyday.dat");


foreach($allusers as $value){ 

$tex = file(BASEDIR."local/profil/$value");
$data = explode(":||:",$tex[0]);

$data_uzer=substr($data[18],0,5);

if($montime==$data_uzer){
$dat_happy.=$data[0].'|';
}}

$fp = fopen(BASEDIR."local/datatmp/happyday.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,$dat_happy);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/happyday.dat", 0666); 

}

//--------------------------- Определяет новичков ------------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/newuserday.dat");
$filtime=$filtime+(3600*$config_newuserdaycache);

if($sitetime>$filtime){

$dirs = opendir (BASEDIR."local/profil"); 
while ($files = readdir ($dirs)) {
if (ereg ("\.prof$", $files)) {
$allnewusers[]=$files;
}} 
closedir ($dirs); 		

clear_files(BASEDIR."local/datatmp/newuserday.dat");


foreach($allnewusers as $value){ 

$tex = file("../local/profil/$value");
$data = explode(":||:",$tex[0]);

if($yeartime==date("d.m.Y",$data[6])){
$dat_newuser.=$data[0].'|';
}}

$fp = fopen(BASEDIR."local/datatmp/newuserday.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,$dat_newuser);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/newuserday.dat", 0666); 

}

//---------------------------------------------------------------------------------//
echo'<br><hr><b>Сегодняшние именинники:</b><br>';
$happyuser = file_get_contents(BASEDIR."local/datatmp/happyday.dat"); 
$arr_happy= explode("|",$happyuser);

$counthappy=count($arr_happy)-1;
    
if($counthappy>0){
echo'Сегодня отмечают свой день рождения '.(int)$counthappy.' чел.<br>';
}else{
echo'<b>Именинников нет!</b><br>';
} 
    
foreach($arr_happy as $key=>$value){
if($value!=""){
if($key==0){
echo '<b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'"><font color="#FF0000">'.check(nickname($value)).'</font></a></b>';	
	}else{
echo ', <b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'"><font color="#FF0000">'.check(nickname($value)).'</font></a></b>';
}}}


//---------------------------------------------------------------------------------//
echo'<br><hr><b>Приветствуем новичков:</b><br>';
$newuser = file_get_contents(BASEDIR."local/datatmp/newuserday.dat"); 
$arr_newuser= explode("|",$newuser);

$countnewuser=count($arr_newuser)-1;
    
if($countnewuser>0){
echo'Сегодня впервые зарегистрировались на сайте '.(int)$countnewuser.' чел.<br>';
   }else{
echo'<b>Новичков нет!</b><br>';
} 
    
foreach($arr_newuser as $key=>$value){
if($value!=""){
if($key==0){
echo '<b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'"><font color="#FF0000">'.check(nickname($value)).'</font></a></b>';	
	}else{
echo ', <b><a href="../pages/anketa.php?uz='.check($value).'&amp;'.SID.'"><font color="#FF0000">'.check(nickname($value)).'</font></a></b>';
}}}

echo'<br><br><img src="../images/img/chat.gif" alt=""> <a href="who.php?'.SID.'">Kто-где?</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a> '; 
include_once"../themes/$config_themes/foot.php";
?>